OpenLDAP 拒绝服务漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1156684 漏洞类型
发布时间 2015-02-10 更新时间 2019-12-12
CVE编号 CVE-2015-1545 CNNVD-ID CNNVD-201502-170
漏洞平台 N/A CVSS评分 5.0
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-201502-170
|漏洞详情
OpenLDAP是美国OpenLDAP基金会的一个轻型目录访问协议(LDAP)的自由和开源实现,它已被包含在Linux发行版中。 OpenLDAP 2.4.13版本至2.4.40版本的servers/slapd/overlays/deref.c文件中的‘deref_parseCtrl’函数存在安全漏洞。远程攻击者可借助特制的搜索请求利用该漏洞造成拒绝服务(空指针逆向引用和崩溃)。
|参考资料

来源:bugs.debian.org
链接:https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=776988
来源:MLIST
链接:http://www.openwall.com/lists/oss-security/2015/02/07/3
来源:www.openldap.org
链接:http://www.openldap.org/devel/gitweb.cgi?p=openldap.git;a=commit;h=c32e74763f77675b9e144126e375977ed6dc562c
来源:www.openldap.org
链接:http://www.openldap.org/its/?findid=8027
来源:BID
链接:http://www.securityfocus.com/bid/72519
来源:SECUNIA
链接:http://secunia.com/advisories/62787